org.jgrapht.event

## Interface GraphListener<V,E>

- All Superinterfaces:
    EventListener, VertexSetListener<V>
  All Known Implementing Classes:
    ConnectivityInspector, DirectedNeighborIndex, JGraphXAdapter, NeighborIndex

      public interface GraphListener<V,E>
      extends VertexSetListener<V>

  A listener that is notified when the graph changes.

  If only notifications on vertex set changes are required it is more efficient to use the VertexSetListener.

  Since:
    Jul 18, 2003
  Author:
    Barak Naveh
  See Also:
    `VertexSetListener`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `edgeAdded(GraphEdgeChangeEvent<V,E> e)` Notifies that an edge has been added to the graph.
    `void` | `edgeRemoved(GraphEdgeChangeEvent<V,E> e)` Notifies that an edge has been removed from the graph.

    - ### Methods inherited from interface org.jgrapht.event.VertexSetListener

      `vertexAdded, vertexRemoved`

- - ### Method Detail

    - #### edgeAdded

          void edgeAdded(GraphEdgeChangeEvent<V,E> e)

      Notifies that an edge has been added to the graph.
      Parameters:
        `e` - the edge event.

    - #### edgeRemoved

          void edgeRemoved(GraphEdgeChangeEvent<V,E> e)

      Notifies that an edge has been removed from the graph.
      Parameters:
        `e` - the edge event.

Copyright © 2016. All rights reserved.